%global apiver	6
%global major	4
%define libname %mklibname tepl %{apiver} %{major}
%define girname	%mklibname tepl-gir %{apiver}
%define devname %mklibname tepl %{apiver} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		tepl
Version:	6.9.0
Release:	%mkrel 1
Summary:	Text editor product line
Group:		System/Libraries

License:	LGPLv3+
URL:		https://wiki.gnome.org/Projects/Tepl
Source0:	https://download.gnome.org/sources/tepl/%{url_ver}/tepl-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgedit-amtk-5)
BuildRequires:	pkgconfig(libgedit-gtksourceview-300)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(icu-i18n)

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.

%package        -n %{libname}
Summary:	Libraries for %{name}
Requires:	%{name} >= %{version}-%{release}

%description    -n %{libname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for Tepl
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Tepl.

%package        -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang tepl-%{apiver}


%files -f tepl-%{apiver}.lang
%license LICENSES/*
%doc NEWS README.md

%files -n %{girname}
%{_libdir}/girepository-1.0/Tepl-%{apiver}.typelib

%files -n %{libname}
%{_libdir}/libtepl-%{apiver}.so.%{major}{,.*}

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/tepl-%{apiver}/
%{_includedir}/tepl-%{apiver}/
%{_libdir}/libtepl-%{apiver}.so
%{_libdir}/pkgconfig/tepl-%{apiver}.pc
%{_datadir}/gir-1.0/Tepl-%{apiver}.gir


%changelog
* Sun Mar 17 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2050258
- new version 6.9.0

* Wed Sep 27 2023 tv <tv> 6.8.0-2.mga10
+ Revision: 1991352
- Rebuild for icu-73

* Sat Sep 02 2023 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 1983584
- new version 6.8.0
+ tv <tv>
- Fix deps

* Fri Feb 03 2023 daviddavid <daviddavid> 6.4.0-1.mga9
+ Revision: 1937794
- new version 6.4.0
- now libmajor is 2

* Sat Jan 07 2023 squidf <squidf> 6.2.0-3.mga9
+ Revision: 1931173
- Mass rebuild for icu 72.1

* Tue Dec 13 2022 tv <tv> 6.2.0-2.mga9
+ Revision: 1921678
- Rebuild for new amtk

* Fri Nov 04 2022 ghibo <ghibo> 6.2.0-1.mga9
+ Revision: 1902516
- Fix major
+ ovitters <ovitters>
- new version 6.2.0

* Tue Sep 20 2022 tv <tv> 6.1.2-1.mga9
+ Revision: 1890895
- 6.1.2

* Sat Jun 18 2022 squidf <squidf> 6.0.2-2.mga9
+ Revision: 1864907
- rebuild for icu 71.1

* Fri May 27 2022 ovitters <ovitters> 6.0.2-1.mga9
+ Revision: 1860447
- new version 6.0.2

* Mon May 02 2022 ovitters <ovitters> 6.0.1-1.mga9
+ Revision: 1855480
- new version 6.0.1

* Wed Mar 30 2022 umeabot <umeabot> 6.00.0-3.mga9
+ Revision: 1835568
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 6.00.0-2.mga9
+ Revision: 1738976
- rebuild for icu

* Thu Mar 25 2021 ovitters <ovitters> 6.00.0-1.mga9
+ Revision: 1709900
- bump api (will affect gnome-latex)
- new version 6.00.0

* Wed Dec 02 2020 luigiwalser <luigiwalser> 5.0.1-2.mga8
+ Revision: 1651610
- rebuild for icu

* Fri Nov 20 2020 ovitters <ovitters> 5.0.1-1.mga8
+ Revision: 1647949
- new version 5.0.1

* Fri Sep 11 2020 tv <tv> 5.0.0-1.mga8
+ Revision: 1624563
- 5.0.0

* Fri Sep 04 2020 ovitters <ovitters> 4.99.4-1.mga8
+ Revision: 1621699
- new version 4.99.4

* Fri Jul 03 2020 ovitters <ovitters> 4.99.3-1.mga8
+ Revision: 1601497
- new version 4.99.3

* Wed Jun 10 2020 ovitters <ovitters> 4.99.2-1.mga8
+ Revision: 1591813
- drop tests subpackage (upstream does not install them anymore)
- switch to meson
- license changed to LGPLv3+
- new version 4.99.2

* Thu Mar 05 2020 ovitters <ovitters> 4.4.0-1.mga8
+ Revision: 1553920
- new version 4.4.0

* Tue Feb 18 2020 tv <tv> 4.3.1-1.mga8
+ Revision: 1542207
- 4.3.1

* Tue Feb 18 2020 umeabot <umeabot> 4.2.1-2.mga8
+ Revision: 1538428
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 21 2019 ovitters <ovitters> 4.2.1-1.mga8
+ Revision: 1461988
- new version 4.2.1

* Sun Sep 23 2018 umeabot <umeabot> 4.2.0-3.mga7
+ Revision: 1301384
- Mageia 7 Mass Rebuild

* Mon Jul 16 2018 wally <wally> 4.2.0-2.mga7
+ Revision: 1243864
- fix lib and devel pkg names
- split out gir typelibs
- don't own system dirs

* Mon Jul 16 2018 ovitters <ovitters> 4.2.0-1.mga7
+ Revision: 1243853
- new version 4.2.0

* Thu May 10 2018 tv <tv> 4.1.1-1.mga7
+ Revision: 1228225
- new release
- requires l10n

* Thu May 10 2018 tv <tv> 3.0.0-1.mga7
+ Revision: 1228043
- imported package tepl


* Thu May 10 2018 Thierry Vignaud <tv@mageia.org> 3.0.0-1.mga7
- import from FC

* Sun Oct 29 2017 Kalev Lember <klember@redhat.com> - 3.0.0-1
- Initial Fedora packaging
